Skip to content

Excel

The Excel resource enables you to fetch a list of and download available Benchmark Excel files.


Excel Properties

workbenchId
string
The unique identifier for an Excel file, per CIS WorkBench. This ID can be used to download a Build Kit.
excelTitle
string
The title of the Excel file, e.g., 'CIS CentOS Linux 8 Benchmark v2.0.0 - Excel'.
benchmarkTitle
string
The title of the published Benchmark, e.g., 'CIS CentOS Linux 8 Benchmark v2.0.0'.
excelFileName
string
The filename of the Excel file, e.g., CIS_CentOS_Linux_8_Benchmark_v2.0.0.xlsx.

List Available Excel Files

GET /excel

Fetch a list of published Benchmarks that have an .xslx file tagged "Benchmark".

Request

N/A

Response

Returns basic information for all Excel files, such as an ID, Benchmark title, and Excel title.

Media type: application/json

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/excel"
Response - 200 OK
{
  "Total number of results": 10,
  "Excel": [
    {
      "workbenchId": "9089",
      "excelTitle": "CIS CentOS Linux 8 Benchmark v2.0.0 - Excel",
      "benchmarkTitle": "CIS CentOS Linux 8 Benchmark v2.0.0",
      "excelFileName": "CIS_CentOS_Linux_8_Benchmark_v2.0.0.xlsx"
    }
  ]
}

Download Excel Files

GET /excel/{workbenchId}

Download Benchmark content in Excel format.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
workbenchId
string
The unique identifier for an Excel file.

Response

Returns a ZIP bundle containing the Build Kit content.

Media type: /application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

File extension: .xslx

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/excel/1234"